//+------------------------------------------------------------------+
//|                                                        A1.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters
extern int TradeDay=1;
extern int TradeHour=22;
extern int TradeMinute=10;
extern double Lots= 1.0;
extern int Stoploss=100;
extern int Takeprofit=100;
extern int MagicNumberBuy=1001;
extern int MagicNumberSell=1002;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
   int vTradeDay = DayOfWeek();
   
   int vDayOfWeek = DayOfWeek();
   //Comment ("DayOfWeek=", vDayOfWeek);
   
   int vDay=int Day();
   //Comment ("Day=", vDay);
   
   int vDayOfYear=DayOfYear();
   //Comment ("DayOfYear=", vDayOfYear);
   
   int vHour=Hour();
   //Comment ("Hour=", vHour);
   
   int vMinute=Minute();
   //Comment ("Minute=", vMinute);
   
   int vMonth=Month();
   //Comment ("Month=", vMonth);
   
   int vSeconds=Seconds();
   //Comment ("Seconds=", vSeconds);
   
   datetime vTimeCurrent=TimeCurrent();
   //Comment ("TimeCurrent=", vTimeCurrent);
   
   //int vTimeDay=TimeDay(D'2010.11.20');
   //Comment ("TimeDay=", vTimeDay);
   
   int vTotalTrades = OrdersTotal();
   
    
   Comment ("DayOfWeek=", vDayOfWeek," / ","Day=", vDay," / ","Month=", vMonth," / ","DayOfYear=", vDayOfYear," / ","Hour=", vHour," / ","Minute=", vMinute," / ","Seconds=", vSeconds," / ","TimeCurrent=", vTimeCurrent," / ","TotalTrades=",vTotalTrades/*"TimeDay=", vTimeDay*/);
     
   
   
     if (vHour==TradeHour && vMinute==TradeMinute && vTradeDay==TradeDay)  // genau Zeit muss eingetreten sein
   
      
      {
      
      OrderSend(Symbol(),OP_BUY,Lots,Ask,5,Ask-Stoploss*Point,Ask+Takeprofit*Point,0,MagicNumberBuy,Green);
      
      }
      
      Sleep(1000);
      
      {
      
      OrderSend(Symbol(),OP_SELL,Lots,Bid,5,Bid+Stoploss*Point,Bid-Takeprofit*Point,0,MagicNumberSell,0,Green);
   
      }
      
    


   
//----
   return(0);
  }
//+------------------------------------------------------------------+